Questions related to compiling software, normally using the "make" command.

learn more… | top users | synonyms (2)

0
votes
0answers
7 views

How to tell to linux build system not to produce cleaning every time I build package?

I need to build kernel from kernel.org git on my notebook several times. I use this guide. But every time I enter to console make -j `getconf _NPROCESSORS_ONLN` deb-pkg LOCALVERSION=-custom make ...
0
votes
0answers
35 views

Create Ogre3D 2.1 project

I have downloaded the Ogre3D 2.1 source, compiled and installed it without any issues. To my knowledge I have a working installation. The problem now is that none of the official project templates ...
1
vote
0answers
69 views

Installation issue fatal error: QtOpenGL/qgl.h: No such file or directory

What madness is this? Tried installing icub simulator from sources and when compilation reaches 54% then this madness happens. /icub-main/src/tools/iCubGui/src/animationview.cpp:35:0: ...
0
votes
0answers
14 views

manual package install can't find fontconfig

I'm trying to become able to load software manually. I'm in my downloads folder on Ubuntu Studio. I'm doing the ./config with LibreOffice. So I've had to install libcups-2xxx.dev and deps. Now it says ...
0
votes
0answers
54 views

Error compiling Q-Rap on Ubuntu 14.04

I'm trying to compile Q-Rap (http://www.qrap.org.za/) on Linux Ubuntu and I'm keep getting a flood of errors like this: $ make qrapplugin [ 1%] Building CXX object CMakeFiles/qrapplugin.dir/qrap.o ...
3
votes
3answers
7k views

undefined reference to symbol 'exp@@GLIBC_2.2.5'

Similar question has been asked here but is unanswered. I have an implementation of Levenberg-Marquardt (downloaded from somewhere) and I'm trying to compile it but getting the following error. ...
0
votes
0answers
32 views

i am getting this error while compiling gimp from source code ..i knw it has to do something with linker but not sure what..plz help

/usr/bin/ld: core/libappcore.a(gimpbrushgenerated.o): undefined reference to symbol 'fmod@@GLIBC_2.2.5' //lib/x86_64-linux-gnu/libm.so.6: error adding symbols: DSO missing from command line collect2: ...
0
votes
1answer
73 views

Wireless drivers failing to build when make command is run

I'll have to start by saying I'm new to ubuntu, and linux in general. I have set up a dual boot on my pc with windows and linux. Due to positioning in my house, I'm unable to get ethernet access, so ...
1
vote
1answer
57 views

Can not build libdwarf

I download the most updated libdwarf version in archive file. Extract the files and run the following command cd dwarf-2013-02-07/libdwarf ./configure --enable-shared make I got the following ...
1
vote
2answers
40 views

How to uninstall self compiled binaries? [duplicate]

I have been playing around with compiling some binaries. It all started because I wanted ffmpeg instead of avconv, now I just can't stop compiling stuff. I must find another hobby !! Anyway, I ...
0
votes
1answer
31 views

Compiling a .TGZ - tutorial clarification using Compiling Things On Ubuntu The Easy Way

I am using a document entitled "Compiling things on Ubuntu the Easy Way". In step 2 "Getting the software you want", I have copied the downloaded .TGZ file, and extracted it (it created a separate ...
0
votes
0answers
84 views

Installing NVIDIA Driver: Error Run 'make oldconfig && make prepare' on kernel src to fix it."

I started installing the NVIDIA Cuda driver on the latest version of the free Ubuntu. I began by following the instructions in the answer here. After completing the steps, I ran into a new error ...
0
votes
0answers
32 views

What is need to compile a Ubuntu driver from source code?

In my quest to create a file server, I have reached a point where I would like to use a LTO drive which itself is connected to a Adaptec 29160 SCSI Interface card. Adaptec's web site says that I can ...
1
vote
2answers
110 views

specifying PPA version for apt-get build-dep?

On Ubuntu 14.04 I want to rebuild the package ardour from source, and I've found a suitable version in a PPA, and I've activated its sources (deb-src line in the right file somewhere in ...
1
vote
1answer
88 views

Building qBitorrent with qt5 fails (qt4 works)

I want to build qBittorrent v3.4.0alpha with qt5, but I'm getting errors. In this qBittorrent version qt5 is the default, but running ./configure --with-qt4 && make builds it using qt4, which ...
0
votes
0answers
21 views

Swift 2.2 built using Ninja but where is the compiled usr/bin

Following the instructions here swift on github I have built swift with ninja. utils/build-script -r -t it has successfully completed. In the instructions you need to export the sift path so its ...
0
votes
0answers
51 views

Running make on a Makefile returns a file not found error for files that exist in the same directory as the Makefile

So I'm installing the XRT Swift data analysis software. Currently, I am installing CALDB, and I am struggling with running the script to initialize the program. While the guide says there will be a ...
2
votes
3answers
10k views

How to compile FFmpeg with x265 support?

Today I found out that x265 is already present in ffmpeg so I compiled ffmpeg with this guide Sadly libx265 did not work on ubuntu, however on windows I tried the same thing with zeranoe ffmpeg ...
9
votes
5answers
11k views

Does compiling a linux kernel make the OS faster?

Does compiling a downloaded linux kernel (e.g 3.2) make the OS (e.g ubuntu) faster on that specific machine?
2
votes
1answer
327 views

I have installed QT4.8.7 but CMAKE codul not match the path

I got the error message CMake Error at /usr/local/share/cmake-3.4/Modules/FindPackageHandleStandardArgs.cmake:148 (message): Could NOT find Qt4 (missing: QT_QTOPENGL_INCLUDE_DIR ...
2
votes
0answers
28 views

Questions regarding AppIndicator

I am trying to build a JNI wrapper for using Ubuntu's AppIndicator in a Java application. I have some experience in C/C++, though no experience in GTK and Ubuntu development. I have already done ...
0
votes
0answers
24 views

Skipping incompatible libs when compiling Taucs under Ubuntu 12.04 64-bit

After many failures trying to compile Taucs under my Ubuntu 12.04 64-bit, I searched for the reason and reached this question. Unfortunately, non of those answers worked for me. As in the question, ...
0
votes
0answers
39 views

Im trying to compile glog-0.3.3 and dont succeed (running on ubuntu 14.04)

I'm trying to install caffe, but I can't compile glog. I'm doing the following steps: sudo apt-get install virtualbox sudo apt-get install vagrant vagrant box add ubuntu-14.04 ...
22
votes
7answers
18k views

How to install new tmux 1.8 on Ubuntu 12.10 or 12.04?

Are there any PPA? If no, how to make it from sources? Which dev libs I'll need to do this?
0
votes
0answers
72 views

GLib-WARNING **: /build/glib2.0-MuyBSS/glib2.0-2.46.2/./glib/gmem.c:482: custom memory allocation vtable not supported

I am using Ubuntu version 15.10 and I have installed qemu version 2.3.0 on it. When I try to run the following command: qemu-system-x86_64 -enable-kvm It always gives the Glib error and doesn't ...
1
vote
4answers
10k views

Makeinfo package not found in 12.04 [closed]

Please can anybody give me an answer for this? I have already tried: sudo apt-get install makeinfo textinfo texi2html But, I still get the error: Unable to find the pacakge.
4
votes
3answers
10k views

Error 255 when trying to install openssl-1.0.1g from source

installing man1/cms.1 cms.pod around line 457: Expected text after =item, not a number cms.pod around line 461: Expected text after =item, not a number cms.pod around line 465: Expected text after ...
0
votes
0answers
69 views

Undefined reference - fftw

I have a problem with compiling my code and I get the following error: /home/maxfkira/Demo/lib/libdemo.a(TracHold.o): In function 'exitTrac::extAL()': TracHold.cpp: (.text+0x1b): undefined reference ...
0
votes
0answers
5 views

Error compiling code for Puredata Gem in KXStudio

So I'm trying to compile GEM for KXStudio and I ran into this issue when I was compiling Following these instructions...: run $ ./configure $ make $ make install (also did this which was ...
0
votes
1answer
283 views

Issues installing SRILM (Ubuntu 14.04)

I have been trying to install SRILM to use with Kaldi and have run into a particularly frustrating issue. To create a clear timeline of actions, here goes: I downloaded the tar.gz from the SRILM ...
0
votes
4answers
15k views

how to fix configure: error: C compiler cannot create executables

used ./configure DFLAGS="-03" and this is the config.log checking build system type... i686-pc-linux-gnu checking host system type... i686-pc-linux-gnu checking target system type... ...
7
votes
2answers
14k views

How can I install the latest version of libmtp?

In the latest version of the libmtp library there are fixes for my Android device so I would like to install the latest version I'm just not sure how! I would assume that this would pushed into the ...
1
vote
2answers
46k views

How to compile a C program that uses math.h? [closed]

I am having problems in math.h header file and when I use square root function as in sqrt(d). But my compiler is not supporting this. Please advise me about this problem. My Ubuntu version is 2012.
0
votes
1answer
246 views

Version `GFORTRAN_1.4` not found OPENBLAS

I'm trying to install OPENBLAS from git. I've cloned the directory and when I run make NO_AFFINITY=1 USE_OPENMP=1 I get this error make[1]: Entering directory `/home/sandesh/OpenBLAS/test' gfortran ...
0
votes
0answers
17 views

Error installing Aircrack-ng

So ive been messing around trying to get Aircrack on my system, so i got the source, i extracted the tar.gz file, i started to make it until i hit a snag: ...
0
votes
0answers
87 views

Getting error while using make command

I am trying to install Sumo-0.12.3 on ubuntu 14.04. I ran the ./configure command and it ran successfully. The output of ./configure is this hadoop@ubuntu:~/Desktop/sumo-0.12.3$ ./configure checking ...
11
votes
5answers
9k views

How to solve dpkg-source source problem when building a package?

Has anyone here had some experience creating a Debian / Ubuntu package? I am trying to backport the lammps package (http://packages.ubuntu.com/quantal/lammps) from Ubuntu 12.10 (Quantal) to Ubuntu ...
0
votes
0answers
39 views

problem building X86 for gem5

development Environment ubuntu 14.04 kernel version 4.4.3 Dear gem5 and ubuntu users, After downloading gem5, I executed the following commands and everything went well: ("in /usr/src/gem5/" ...
1
vote
0answers
36 views

Is libffi.pc broken on Ubuntu?

I'm trying to cross-compile wayland (from freedesktop.org) for a Trusty Tahr armhf environment. To set up the cross-compile I have an arm pkg-config script that properly sets PKG_CONFIG_LIBDIR and ...
0
votes
1answer
81 views

cannot find -lgsl when i trying to use arm-linux-gcc

Hallo I'm new in Ubuntu. I'm now using Lubuntu 15.04. arm-linux-gcc and gsl has been installed and I can use gcc to compile exe file with gsl. But when I trying to use arm-linux-gcc to compile exe ...
1
vote
1answer
493 views

Trouble with Qt libraries while installing Gnu Octave 4.0.0 from source

I know that similar problems to this have arisen. I have tried all of the debugging techniques that I have heard of. I have made sure to download all of the dependencies for Qt4 from the following ...
1
vote
1answer
88 views

Cannot find liboost-mt

I'm using the kinect to get 3D models of soil erosion and to scan vegetation and I'm trying to compile this application for the kinect: http://www.ccs.neu.edu/research/gpc/imucam/index.html ,however ...
0
votes
1answer
37 views

Getting precompiled software

How to get a precompiled package of any software, so I can install it directly? Because I am a beginner linux user and I am facing problems in compiling any software.
0
votes
0answers
39 views

Ubuntu 14.04 depmod throws segmentation fault

I am trying to compile Open embedded build on my Ubuntu 14.04 machine. I am trying to compile a old kernel(3.10) with Open Embedded for one of my projects and cannot move to latest kernels. Though all ...
0
votes
0answers
29 views

error with compiling a fortran code

Sorry for disturbance, but I am facing errors in compiling a Fortran code. the following lines describes the traces resulting from the command gfortran crop1.f the version I have is GNU Fortran ...
0
votes
0answers
135 views

installing opencv 3.1: make install “erased” libopencv_core.so.3.1.0

I have been struggling to have qt creator (with QT5) to work with opencv, I have eventually traced a problem back to opencv installation after make install (This question isn't about qt). My cmake ...
0
votes
1answer
18 views

Is CPU instruction set version accounted for when I install pre-compiled distro?

I can have Intel Xeon E5-2620 v3 or Xeon E5-2620 v2 on my system. The difference is instruction sets these two CPUs implement. Will Ubuntu server installer detect this difference and choose correct ...
0
votes
0answers
39 views

how do I fix library mismatch error with wxWidgets

Ok so I'm trying to run this program I've installed the dependancies wxWidgets and GLUT. however everytime I try to run it I recieve this error Fatal Error: Mismatch between the program and ...
0
votes
0answers
31 views

Problem when compiling program with gtkgl

I'm trying to compile a hello world cpp file with GTK with the following g++ `pkg-config --cflags --libs gtk+-3.0 gtkgl-2.0` main.cpp -o main but I'm getting main.cpp:8:24: error: ‘GtkGLArea’ ...
0
votes
0answers
11 views

Building pMARS (requires glib 1.2) on Ubuntu 15.10

I'm trying to build pMARS on 15.10 and I can't find a way to satisfy its dependency for glib 1.2. I've tried building glib from source, but it complains that checking host system type... Invalid ...